from tpcwj import __version__
from setuptools import setup

with open("README.md", "r", encoding="utf-8") as fh:
    long_description = fh.read()

setup(
    name='tpcwj',
    version=__version__,
    packages=['tpcwj'],
    entry_points={
        "console_scripts": [
            "tpcwj = tpcwj.cli:run",
        ],
    },
    install_requires=['numpy>=1.22.1', 'opencv_python>=4.5.5.62'],

    author='7F88FF',
    author_email='7f88ff@protonmail.com',
    description='A command line tool that pack file into images.',
    long_description=long_description,
    long_description_content_type="text/markdown",
    license="GPL",
    url="https://github.com/7f88ff/tpcwj.py",
)
