import math
from typing import List

from tpcwj.utils import Bytes, Utils
from tpcwj.payload import PayloadMetadata, Payload


class Packer:
    @classmethod
    def pack(cls, file_name: str, file_data: Bytes, slice_amount) -> List[Bytes]:
        slice_length = math.ceil(file_data.size/slice_amount)
        payload_id = 'B00'+Utils.randstr(13)
        packed = []
        for i in range(slice_amount):
            slice_start = slice_length*i
            slice_end = slice_length*(i+1)
            slice_metadata = PayloadMetadata(slice_start, slice_end, file_data.size, not i, slice_amount, i, file_name)
            slice_payload = Payload(slice_metadata, file_data[slice_start:slice_end])
            packed.append(slice_payload.produce_payload(payload_id))
        return packed
